<!--
 Copyright © VNG Realisatie 2023
 Licensed under the EUPL
-->

{{ define "content" }}

    <div class="transaction-logs-page">
        <div class="transaction-logs-page__actions-bar">
            <form
                action="{{ .BaseAuthenticatedPage.PrimaryNavigationActivePath }}"
                method="get"
                hx-get="{{ .BaseAuthenticatedPage.PrimaryNavigationActivePath }}"
                hx-params="*"
                hx-push-url="true"
                hx-trigger="keyup delay:250ms"
                hx-target="body"
                hx-indicator=".transaction-logs-page"
            >
                <input
                    type="text"
                    class="input--medium"
                    name="{{ .GetParamDataSourceID }}"
                    value="{{ .GetParamDataSourceIDValue }}"
                    placeholder="{{ i18n "Peer ID" }}..."
                />
            </form>
        </div>
        <div class="transaction-logs-page__loaded-content">
            {{ if eq (len .TransactionLogs) 0 }}
                <div class="transaction-logs-page__no-results">
                    {{ i18n "No transaction logs available" }}
                </div>
            {{ else }}
                <table>
                    <thead>
                        <tr>
                            <th>{{ i18n "Created at" }}</th>
                            <th>{{ i18n "Transaction ID" }}</th>
                            <th>{{ i18n "Source" }}</th>
                            <th>{{ i18n "Direction" }}</th>
                            <th>{{ i18n "Destination" }}</th>
                            <th>{{ i18n "Service" }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {{ range .TransactionLogs }}
                            <tr>
                                <td>
                                    <time
                                        data-format="L LTS"
                                        datetime="{{ .CreatedAt }}"
                                    >
                                        {{ .CreatedAt }}
                                    </time>
                                </td>
                                <td>{{ .TransactionID }}</td>

                                {{ if .IsSourceDelegated }}
                                    <td>
                                        {{ .SourceOutwayPeerID }}
                                        {{ i18n "On behalf of" }}
                                        {{ .SourceDelegatorPeerID }}
                                    </td>
                                {{ else }}
                                    <td>{{ .SourceOutwayPeerID }}</td>
                                {{ end }}


                                <td>{{ .Direction }}</td>

                                {{ if .IsDestinationDelegated }}
                                    <td>
                                        {{ .DestinationServicePeerID }}
                                        {{ i18n "On behalf of" }}
                                        {{ .DestinationDelegatorPeerID }}
                                    </td>
                                {{ else }}
                                    <td>{{ .DestinationServicePeerID }}</td>
                                {{ end }}


                                <td>{{ .ServiceName }}</td>
                            </tr>
                        {{ end }}
                    </tbody>
                </table>
            {{ end }}
        </div>

        <p
            class="transaction-logs-page__loading-message loading-message"
            role="progressbar"
        >
            {{ svg "icon-spinner" "loading-message__spinner icon--inline" }}
            {{ i18n "Loading…" }}
        </p>
    </div>
{{ end }}
